Subject: RE: [External] : Re: bug#24510: 25.1; Info: searching for ` does not find what looks like `

From: Drew Adams <[email-masked]>
Date: Tue, 3 May 2022 19:26:51 +0000

> >> No, I want the default Isearch to fold `' with the fancy variants in
> >> these modes.  :-)
> >
> > So the users will have no way to search for ' literally?
> 
> Yes, I don't think anybody would want to.

That's 100% wrong.  Especially in the Emacs
and Elisp manuals.  Same thing for `.  Same
thing for _any_ char, no matter how common.

> But like I said, I'd prefer
> if it was possible to have this as a minor mode so that people could
> switch it off (even if they probably won't want to).

We don't need a minor mode for this.  This is
about Isearch.  We need a toggle key for it.

On the other hand, we could consider whether
the same choice/decision to fold should/could
affect both Isearch and other things, such as
query-replace.